RTCWAKE(8)

NOM
rtcwake - Mettre le système en veille jusqu'à une date de réveil indiquée

SYNOPSIS
rtcwake [options] [-d périphérique] [-m mode] {-s secondes|-t heure_h}

DESCRIPTION
Ce programme permet de mettre le système en veille et le réveiller automatiquement à une date indiquée.

Il utilise des interfaces Linux multiplateformes pour mettre le système en veille, et ne pas l'y laisser au-delà d'une date indiquée. N'importe quel environnement de pilote d'horloge matérielle (RTC) prenant en charge les attributs de réveil normalisées peut être utilisé.

C'est normalement utilisé comme l'ancien utilitaire apmsleep, pour réveiller à partir d'un état de veille comme ACPI S1 (pause) ou S3 (veille). La plupart des plateformes peuvent les implémenter sans les analogues de BIOS, APM ou ACPI.

Sur certains systèmes, cela peut aussi être utilisé comme nvram-wakeup, en réveillant à partir d'états comme ACPI S4 (hibernation). Tous les systèmes ne possèdent pas de support persistant permettant ces modes de veille.

OPTIONS

-A, --adjfile fichier
    Indiquer un autre chemin vers le fichier d’ajustement.

-a, --auto
    Lire le mode d'horloge (si l'horloge matérielle est configurée en heure universelle (UTC) ou en heure locale) depuis le fichier adjtime, où hwclock(8) conserve ces renseignements. C'est le mode par défaut.

-d, --device périphérique
    Utiliser le périphérique indiqué au lieu de rtc0 comme horloge temps réel. Cette option n'a de sens que si le système dispose de plus d'une horloge matérielle. rtc1, rtc2, etc., peuvent être indiquées ici.

-l, --local
    Considérer que l'horloge matérielle est définie en heure locale, quelque soit le contenu du fichier adjtime.

-m, --mode mode
    Entrer dans le mode de veille indiqué. Les valeurs possibles sont :

    standby
        État S1 de l'ACPI. Cet état propose l'économie d'énergie minimale, bien que réelle, tout en fournissant une transition rapide au retour à l'état de travail. C'est le mode par défaut.

    freeze
        Les processus sont gelés, tous les périphériques sont en veille et tous les processeurs en attente. Cet état est un état général qui n’a pas besoin de prise en charge spécifique à la plateforme, mais il n’économise pas autant de puissance qu’une mise en veille car le système est toujours dans un état de fonctionnement (disponible depuis Linux 3.9).

    mem État S3 de l'ACPI (veille). Cet état propose une économie d'énergie significative puisque tout le système est placé en état d'alimentation minimal, à l'exception de la mémoire qui est placée en mode d'autorafraîchissement pour conserver son contenu.

    disk
        État S4 de l'ACPI (hibernation). Cet état propose la plus grande économie d'énergie, et peut même être utilisé sans prise en charge d'état d'alimentation minimal. Cet état fonctionne comme la veille, avec une dernière étape pour écrire le contenu de la mémoire sur disque.

    off État S5 de l'ACPI (extinction). C'est réalisé en appelant « /sbin/shutdown ». N'est pas officiellement pris en charge par l'ACPI, mais fonctionne souvent.

    no  Ne pas mettre en veille, seulement configurer l’heure de réveil de l’horloge matérielle.

    on  Ne pas mettre en veille, mais lire le périphérique d'horloge matérielle jusqu'à l'apparition de l'heure d'alarme. Ce mode est pratique pour le débogage.

    disable
        Désactiver une alarme précédemment définie.

    show
        Afficher des renseignements sur l'alarme au format « alarme : arrêt|déclenchement <heure> ». l'heure est au format de sortie ctime(), par exemple « alarme : déclenchement dimanche 23 octobre 2011, 16:59:10 ».

-n, --dry-run
    Tout faire, sauf configurer vraiment l'alarme, mettre le système en veille ou attendre l'alarme.

-s,  --seconds secondes
    Définir l'heure de réveil à secondes dans le futur à partir de maintenant.

-t, --time heure_h
    Définir l'heure de réveil à l'heure absolue heure_h. heure_h est l'heure en seconde à partir de 00:00:00 1970-01-01 UTC. Utiliser l'outil date(1) pour convertir l'heure entre le format lisible et heure_h.

-u, --utc
    Considérer que l'horloge matérielle est définie en temps universel coordonné (UTC), quelque soit le contenu du fichier adjtime.

-v, --verbose
    Sortie détaillée.

-V, --version
    Afficher les informations sur la version et quitter.

-h, --help
    Afficher un texte d'aide puis quitter.

NOTES
Certains systèmes PC ne peuvent actuellement pas sortir d'états de veille comme mem en n'utilisant que le code du noyau auquel accède ce pilote. Ils ont besoin de l'aide de code en espace utilisateur pour que la mémoire vidéo fonctionne encore.

FICHIERS
/etc/adjtime

HISTORIQUE
Le programme a été posté plusieurs fois sur LKML et d'autres listes avant d'apparaître dans le message de commit du noyau pour Linux 2.6 pour le commit Git 87ac84f42a7a580d0dd72ae31d6a5eb4bfe04c6d.

AUTEURS
Le programme a été écrit par David Brownell <dbrownell@users.sourceforge.net> et amélioré par Bernhard Walle <bwalle@suse.de>.

COPYRIGHT
C'est un logiciel libre. Vous pouvez en redistribuer des copies sous les conditions de la licence GNU GPL <http://www.gnu.org/licenses/gpl.html>. Il n'y a aucune garantie, dans les mesures permises par la loi.

VOIR AUSSI
hwclock(8), date(1)

DISPONIBILITÉ
La commande rtcwake fait partie du paquet util-linux, elle est disponible sur l’archive du noyau Linux (ftp://ftp.kernel.org/pub/linux/utils/util-linux/).